#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

PACKAGE_VERSION 	:= $(shell		\
		dpkg-parsechangelog 		\
	|	grep ^Version 			\
	|	awk '{print $$2}' 		\
	|	sed 's/-[[:digit:]]\+$$//'	\
)

UPSTREAM_CLEAN_VERSION	:= $(shell echo $(PACKAGE_VERSION) | sed 's/[+-].*//' )

DEB_DH_GENCONTROL_ARGS	= -- -VUVersion=$(UPSTREAM_CLEAN_VERSION)

DEB_BUILD_PARALLEL = 1

clean::
	find -name \*.o -delete
	find -name \*.mo -delete
	find -name \*.d -delete
	rm -f game frogatto.6

build/frogatto:: frogatto.6
	make USE_CCACHE=no

frogatto.6: debian/frogatto.pod
	pod2man --section=6 $< > $@

tarball:
	cd .. && tar \
		--exclude=debian \
		--exclude=.git \
		-czvf frogatto_$(PACKAGE_VERSION).orig.tar.gz \
		frogatto-$(PACKAGE_VERSION)
